libshell-perl_0.72.01-1_all.deb


Advertisement

Description

libshell-perl - run shell commands transparently within perl

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libshell-perl
Package version 0.72.01
Package release 1
Package architecture all
Package type deb
Installed size 51 B
Download size 10.69 KB
Official Mirror ftp.br.debian.org
This package is included as a show case, illustrating a few Perl features.
It shouldn't be used for production programs. Although it does provide a
simple interface for obtaining the standard output of arbitrary commands,
there may be better ways of achieving what you need.

Alternatives

Package Version Architecture Repository
libshell-perl_0.72.01-1_all.deb 0.72.01 all Debian Main
libshell-perl - - -

Requires

Name Value
perl -

Download

Type URL
Binary Package libshell-perl_0.72.01-1_all.deb
Source Package libshell-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libshell-perl deb package:
    # sudo apt-get install libshell-perl

Files

Path
/usr/share/doc/libshell-perl/changelog.Debian.gz
/usr/share/doc/libshell-perl/changelog.gz
/usr/share/doc/libshell-perl/copyright
/usr/share/man/man3/Shell.3pm.gz
/usr/share/perl5/Shell.pm

Changelog

2012-02-25 - Salvatore Bonaccorso <carnil@debian.org>
libshell-perl (0.72.01-1) unstable; urgency=low
* Team upload.
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ Salvatore Bonaccorso ]
* Imported Upstream version 0.72.01
* Don't install README file
* Update debian/copyright file information.
Update format to copyright-format 1.0 as released with Debian policy
3.9.3.
Don't refer to Debian GNU/Linux systems only but more general to Debian
systems.
Explicitly refer to GPL-1 license text in common-licenses.
* Bump Standards-Version to 3.9.3
* Adjust perl Depends in debian/control.
Drop explicit perl Depends as perl dependency is covered by the
${perl:Depends} substitution.
2011-05-16 - Dominic Hargreaves <dom@earth.li>
libshell-perl (0.72-1) unstable; urgency=low
* Initial Release. (Closes: #580056)

See Also

Package Description
libshell-posix-select-perl_0.05-2_all.deb POSIX Shell's "select" loop for Perl
libshevek-dev_1.4-1_amd64.deb library of useful functions written by shevek
libshevek-doc_1.4-1_all.deb library of useful functions written by shevek
libshevek0_1.4-1_amd64.deb library of useful functions written by shevek
libshhmsg1-dev_1.4.1-5_amd64.deb library for displaying messages - development
libshhmsg1_1.4.1-5_amd64.deb library for displaying messages - runtime
libshhopt1-dev_1.1.7-3_amd64.deb Command line option parser - development
libshhopt1_1.1.7-3_amd64.deb Command line option parser - runtime
libshib-common-java-doc_1.4.0-3_all.deb Documentation for the Shibboleth Common Library
libshib-common-java_1.4.0-3_all.deb Shibboleth Common Library
libshib-parent-project2-java_1-2_all.deb Shibboleth Project V2 Super POM
libshiboken-dev_1.2.2-1+b1_amd64.deb development files for the shiboken bindings generator library
libshiboken-py3-1.2_1.2.2-1+b1_amd64.deb CPython3 bindings generator for C++ libraries - shared library
libshiboken1.2_1.2.2-1+b1_amd64.deb CPython bindings generator for C++ libraries - shared library
libshibresolver-dev_1.0.0-1_amd64.deb Shibboleth SP Attribute Resolver library
Advertisement
Advertisement